org.richfaces.component.attribute

## Interface CoreProps

- All Known Subinterfaces:
    AbstractDivPanel, AbstractTogglePanelItemInterface, AbstractTogglePanelTitledItem
  All Known Implementing Classes:
    AbstractAccordion, AbstractAccordionItem, AbstractChart, AbstractCollapsiblePanel, AbstractCommandButton, AbstractCommandLink, AbstractContextMenu, AbstractDataGrid, AbstractDataScroller, AbstractDropDownMenu, AbstractEditor, AbstractFileUpload, AbstractInplaceInput, AbstractInplaceSelect, AbstractInputNumberSlider, AbstractInputNumberSpinner, AbstractList, AbstractMediaOutput, AbstractMenuGroup, AbstractMenuItem, AbstractMessage, AbstractMessages, AbstractNotifyMessage, AbstractNotifyMessages, AbstractOutputPanel, AbstractPanel, AbstractSelect, AbstractTab, AbstractTabPanel, AbstractTogglePanel, AbstractTogglePanelItem, AbstractToolbar, AbstractTooltip, AbstractTree, AbstractTreeNode, UIAccordion, UIAccordionItem, UIChart, UICollapsiblePanel, UICommandButton, UICommandLink, UIContextMenu, UIDataGrid, UIDataScroller, UIDropDownMenu, UIEditor, UIFileUpload, UIInplaceInput, UIInplaceSelect, UIInputNumberSlider, UIInputNumberSpinner, UIList, UIMediaOutput, UIMenuGroup, UIMenuItem, UINotifyMessage, UINotifyMessages, UIOutputPanel, UIPanel, UIRichMessage, UIRichMessages, UISelect, UITab, UITabPanel, UITogglePanel, UITogglePanelItem, UIToolbar, UITooltip, UITree, UITreeNode

      public interface CoreProps

  Interface defining the methods for core-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.

- - ### Method Detail

    - #### getStyle

          String getStyle()

      CSS style(s) to be applied when this component is rendered.

    - #### getStyleClass

          String getStyleClass()

      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

    - #### getTitle

          String getTitle()

      Advisory title information about markup elements generated for this component.

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.